#!/usr/bin/python2.6
 
"""This script performs simple library-check and runs the main CMGUI UI engine

It is important on linux as other dist is binary, linux has prerequisites though.
"""
from sys import platform, version as py_version, exit

if platform == 'linux2':
    #Requires check
    #Python
    if float(py_version[:3]) < 2.6:
        print 'This program requires Python installation of 2.6.'
        exit(1)
    del py_version
    #PIL
    try:
        import PIL
    except ImportError:
        print 'PIL package is missing. You need to install imaging 1.1.6.'
        exit(1)
    #Numeric
    try:
        from Numeric import __version__ as numericversion
        if float(numericversion[:4]) < 24.2:
            print 'This program requires Numeric installation of 24.2.'
            exit(1)
        del numericversion
    except ImportError:
        print 'Numeric package is missing. You need to install Numeric 24.2.'
        exit(1)
    #NumPy
    try:
        from numpy import __version__ as numpyversion
        if float(numpyversion[:3]) < 1.3:
            print 'This program requires NumPy installation of 1.3.'
            exit(1)
        del numpyversion
    except ImportError:
        print 'NumPy package is missing. You need to install NumPy 1.3.'
        exit(1)
    #wx
    try:
	try:
        	import wxversion
		try:
			wxversion.select('2.8')
		except:
			wxversion.select("2.8-unicode")
	except:
                import wx
                print 'Make sure your wxPython install is a 2.8 version'
		del wx

    	#import wx
	#from wx import version as wxversion
        #if (float(wxversion()[:3])) < 2.8:
        #    print 'This program requires wxPython installation of 2.8.'
        #    exit(1)
        #del wx#version
    except ImportError:
        print 'wxPython package is missing. You need to install wxPython 2.8.'
        exit(1)
    #PyExcelerator
    try:
        import pyExcelerator
    except ImportError:
        print 'PyExcelerator package is missing. You need to install PyExcelerator 0.6.3.'
        exit(1)
    #Bio
    try:
        import Bio
        #Bio.KDTree
        try:
            from Bio.KDTree import KDTree as bio_kdtree
        except ImportError:
            print 'Bio.KDTree package is missing. Your BioPython instalation is incomplete.'
            exit(1)
        del bio_kdtree
    except ImportError:
        print 'Biopython package is missing. You need to install BioPython 1.42.'
        exit(1)
    #PyCogent
    try:
        from cogent import version as cogentversion
        if (float(cogentversion[:3])) < 1.4:
            print 'This program requires PyCogent installation of 1.4.'
            exit(1)
        del cogentversion
    except ImportError:
        print 'PyCogent package is missing. You need to install PyCogent 1.4.'
	exit(1)
    try:
        from cogent.app.rnaview import RnaView as rna1
        del rna1
        from cogent.parse.rnaview import RnaviewParser as rna2
        del rna2
        from os import getenv
        rnaviewpath = getenv('RNAVIEW') 
        if rnaviewpath == None or rnaviewpath == '' :
            raise ImportError
        binpath = rnaviewpath+'/bin'
        path = getenv('PATH') 
        if binpath not in path:
            raise ImportError
    except ImportError:
        print 'no cogent with RnaView module - integrated hbond_calculator will be used instead'
        
import CMGUI
CMGUI.launch_gui()
